PDA

Visualizza la versione completa : Problema ad installare pacchetti con Slackware...


Spady
07-06-2004, 08:45
......come si legge dal titolo non riesco ad installare i pacchetti con la Slack.
Se clicco su un rpm mi apre il kpackage e quando faccio " installa " mi da quasi sempre un errore sulle mancate dipendenze..... Tipo lib.so, /bin/sh, ecc.....

Facendo però un locate... torvo tutto quello che sembrerebe mancare..... In cosa sbaglio??? anche se provo ad installare da riga di comando con rpm -U + nome pacchetto, mi da lo stesso errore.......

anche il pkgtool sembra non andare .....
Faccio pkgtool + nome pacchetto... non mi fa nulla......

Aiutoooooooooooooooooo!!!!!!!!!!!!!!!!!!!!!

trumpappa
07-06-2004, 09:47
prova a dare rpm2tgz <nomepacchetto>.rpm
e poi da root installpkg <nomepacchetto.tgz
ricorda però che se il pacchetto che stai installando e fatto pre mandrake o suse non risolve le dipendenze perchè queste due disrtibuzioni utilizzano nomi o posizioni diverse per librerie o altro.

V0D
07-06-2004, 11:11
Da quel che ne so, Slackware non digerisce bene gli rpm. Il comando pkgtool è un'utility grafica per i pkgtool. usa removepkg, installpkg, upgradepkg, ecc. i comandi li trovi tutti nella cartella /sbin oppure dovresti trovarli anche in fondo alle pagine del manuale di uno di essi. :ciauz:

Boromir
07-06-2004, 11:28
invece del RPM scaricati i sorgenti tar.gz e vai di manella ..
./configure && make && make install && make clean
:D

kireime
07-06-2004, 11:59
Gli rpm o li converti in tgz o niente. In ogni caso trova lo stesso pacchetto su www.linuxpackages.net (http://www.linuxpackages.net) o usa swaret che così controlli anche le dipendenze.

velenux
07-06-2004, 12:12
Non è assolutamente vero che gli rpm su Slack non vanno!! Il discorso semmai è che slack non prevede un controllo delle dipendenze sui pacchetti rpm, quindi non c'è un database con i vari pacchetti rpm e rispettive dipendenze installate...installando un rpm ci saranno sempre messaggi a video che segnalano l'assenza di questo o quel pacchetto...ma in realtà potrebbero invece essere soddisfatte tutte le dipendenze del caso. In sintesi il pacchetto rpm può anche funzionare....ma sta a te controllare che tutte le dipendenze siano soddisfatte e nei path che il pacchettizzatore ha deciso di prevedere. Insomma una bella complicazione. Meglio un rpm2tgz oppure trovati i pacchetti .tgz o meglio ancora una bella compilazione dei sorgenti!!

kireime
07-06-2004, 12:21
Insomma una bella complicazione. Meglio un rpm2tgz oppure trovati i pacchetti .tgz o meglio ancora una bella compilazione dei sorgenti!!Praticamente quello che ho detto io, perchè complicarsi la vita più che compilare??
Per me equivale a "o niente"

Boromir
07-06-2004, 12:26
W la compilazione !! Semplice veloce e sicura :D !

vortex87
07-06-2004, 18:43
Originariamente inviato da Boromir
W la compilazione !! Semplice veloce e sicura :D !

Sicura può passare, semplice ancora ancora, ma veloce... :stordita:

Spady
08-06-2004, 08:29
effettivamente i pacchetti che cercavo di installare li avevo scaricati tempo fa per la suse........mi sa che trumpappa avesse ragione..... comunque grazie siete stati molto utili.....
una sola domanda : con il comando rpm2tgz + nome pacchetto..... trasformo un rpm in un tgz???????????

Ciao a tutti e grazie mille.....

Loading